org.apache.olingo.odata2.api.processor

## Class ODataRequest.ODataRequestBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.processor.ODataRequest.ODataRequestBuilder

- Enclosing class:
    ODataRequest

      public abstract static class ODataRequest.ODataRequestBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ODataRequestBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ODataRequest.ODataRequestBuilder` | `acceptableLanguages(List<Locale> acceptableLanguages)`
    `abstract ODataRequest.ODataRequestBuilder` | `acceptHeaders(List<String> acceptHeaders)`
    `abstract ODataRequest.ODataRequestBuilder` | `allQueryParameters(Map<String,List<String>> queryParameters)`
    `abstract ODataRequest.ODataRequestBuilder` | `body(InputStream body)`
    `abstract ODataRequest` | `build()`
    `abstract ODataRequest.ODataRequestBuilder` | `contentType(String contentType)`
    `abstract ODataRequest.ODataRequestBuilder` | `fromRequest(ODataRequest request)`
    `abstract ODataRequest.ODataRequestBuilder` | `httpMethod(String httpMethod)`
    `abstract ODataRequest.ODataRequestBuilder` | `method(ODataHttpMethod method)`
    `abstract ODataRequest.ODataRequestBuilder` | `pathInfo(PathInfo pathInfo)`
    `abstract ODataRequest.ODataRequestBuilder` | `queryParameters(Map<String,String> queryParameters)`
    `abstract ODataRequest.ODataRequestBuilder` | `requestHeaders(Map<String,List<String>> headers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataRequestBuilder

          protected ODataRequestBuilder()

  - ### Method Detail

    - #### build

          public abstract ODataRequest build()

    - #### requestHeaders

          public abstract ODataRequest.ODataRequestBuilder requestHeaders(Map<String,List<String>> headers)

    - #### httpMethod

          public abstract ODataRequest.ODataRequestBuilder httpMethod(String httpMethod)

    - #### body

          public abstract ODataRequest.ODataRequestBuilder body(InputStream body)

    - #### pathInfo

          public abstract ODataRequest.ODataRequestBuilder pathInfo(PathInfo pathInfo)

    - #### method

          public abstract ODataRequest.ODataRequestBuilder method(ODataHttpMethod method)

    - #### acceptableLanguages

          public abstract ODataRequest.ODataRequestBuilder acceptableLanguages(List<Locale> acceptableLanguages)

    - #### contentType

          public abstract ODataRequest.ODataRequestBuilder contentType(String contentType)

    - #### acceptHeaders

          public abstract ODataRequest.ODataRequestBuilder acceptHeaders(List<String> acceptHeaders)

    - #### queryParameters

          public abstract ODataRequest.ODataRequestBuilder queryParameters(Map<String,String> queryParameters)

    - #### allQueryParameters

          public abstract ODataRequest.ODataRequestBuilder allQueryParameters(Map<String,List<String>> queryParameters)

    - #### fromRequest

          public abstract ODataRequest.ODataRequestBuilder fromRequest(ODataRequest request)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.